/**  版本信息模板在安装目录下，可自行修改。
* T_AutoCall_PhoneRelate.cs
*
* 功 能： N/A
* 类 名： T_AutoCall_PhoneRelate
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/2/23 10:01:40   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using CallCenterApi.DB;

namespace CallCenterApi.DAL
{
	/// <summary>
	/// 数据访问类:T_AutoCall_PhoneRelate
	/// </summary>
	public partial class T_AutoCall_PhoneRelate
	{
		public T_AutoCall_PhoneRelate()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_Id", "T_AutoCall_PhoneRelate"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int Id)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_AutoCall_PhoneRelate");
			strSql.Append(" where F_Id=@Id");
			SqlParameter[] parameters = {
					new SqlParameter("@Id", SqlDbType.Int,4)
			};
			parameters[0].Value = Id;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(CallCenterApi.Model.T_AutoCall_PhoneRelate model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_AutoCall_PhoneRelate(");
			strSql.Append("taskId,phone,createTime,createBy,callState,salesOffice,broadbandAccount,accessTime,channel,service,package,fusion,phoneState,orderNature,fix,address)");
			strSql.Append(" values (");
			strSql.Append("@taskId,@phone,@createTime,@createBy,@callState,@salesOffice,@broadbandAccount,@accessTime,@channel,@service,@package,@fusion,@phoneState,@orderNature,@fix,@address)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@taskId", SqlDbType.Int,4),
					new SqlParameter("@phone", SqlDbType.NVarChar,50),
					new SqlParameter("@createTime", SqlDbType.DateTime),
					new SqlParameter("@createBy", SqlDbType.NVarChar,50),
					new SqlParameter("@callState", SqlDbType.Int,4),
					new SqlParameter("@salesOffice", SqlDbType.NVarChar,100),
					new SqlParameter("@broadbandAccount", SqlDbType.NVarChar,100),
					new SqlParameter("@accessTime", SqlDbType.DateTime),
					new SqlParameter("@channel", SqlDbType.NVarChar,100),
					new SqlParameter("@service", SqlDbType.NVarChar,100),
					new SqlParameter("@package", SqlDbType.NVarChar,200),
					new SqlParameter("@fusion", SqlDbType.NVarChar,50),
					new SqlParameter("@phoneState", SqlDbType.NVarChar,50),
					new SqlParameter("@orderNature", SqlDbType.NVarChar,50),
                    new SqlParameter("@fix", SqlDbType.NVarChar,50),
                    new SqlParameter("@address", SqlDbType.NVarChar,500)
            };
			parameters[0].Value = model.taskId;
			parameters[1].Value = model.phone;
			parameters[2].Value = model.createTime;
			parameters[3].Value = model.createBy;
			parameters[4].Value = model.callState;
			parameters[5].Value = model.salesOffice;
			parameters[6].Value = model.broadbandAccount;
			parameters[7].Value = model.accessTime;
			parameters[8].Value = model.channel;
			parameters[9].Value = model.service;
			parameters[10].Value = model.package;
			parameters[11].Value = model.fusion;
			parameters[12].Value = model.phoneState;
			parameters[13].Value = model.orderNature;
            parameters[14].Value = model.fix;
            parameters[15].Value = model.address;
            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(CallCenterApi.Model.T_AutoCall_PhoneRelate model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_AutoCall_PhoneRelate set ");
			strSql.Append("taskId=@taskId,");
			strSql.Append("phone=@phone,");
			strSql.Append("createTime=@createTime,");
			strSql.Append("createBy=@createBy,");
			strSql.Append("callState=@callState,");
			strSql.Append("salesOffice=@salesOffice,");
			strSql.Append("broadbandAccount=@broadbandAccount,");
			strSql.Append("accessTime=@accessTime,");
			strSql.Append("channel=@channel,");
			strSql.Append("service=@service,");
			strSql.Append("package=@package,");
			strSql.Append("fusion=@fusion,");
			strSql.Append("phoneState=@phoneState,");
			strSql.Append("orderNature=@orderNature");
			strSql.Append(" where F_Id=@Id");
			SqlParameter[] parameters = {
					new SqlParameter("@taskId", SqlDbType.Int,4),
					new SqlParameter("@phone", SqlDbType.NVarChar,50),
					new SqlParameter("@createTime", SqlDbType.DateTime),
					new SqlParameter("@createBy", SqlDbType.NVarChar,50),
					new SqlParameter("@callState", SqlDbType.Int,4),
					new SqlParameter("@salesOffice", SqlDbType.NVarChar,100),
					new SqlParameter("@broadbandAccount", SqlDbType.NVarChar,100),
					new SqlParameter("@accessTime", SqlDbType.DateTime),
					new SqlParameter("@channel", SqlDbType.NVarChar,100),
					new SqlParameter("@service", SqlDbType.NVarChar,100),
					new SqlParameter("@package", SqlDbType.NVarChar,200),
					new SqlParameter("@fusion", SqlDbType.NVarChar,50),
					new SqlParameter("@phoneState", SqlDbType.NVarChar,50),
					new SqlParameter("@orderNature", SqlDbType.NVarChar,50),
					new SqlParameter("@Id", SqlDbType.Int,4)};
			parameters[0].Value = model.taskId;
			parameters[1].Value = model.phone;
			parameters[2].Value = model.createTime;
			parameters[3].Value = model.createBy;
			parameters[4].Value = model.callState;
			parameters[5].Value = model.salesOffice;
			parameters[6].Value = model.broadbandAccount;
			parameters[7].Value = model.accessTime;
			parameters[8].Value = model.channel;
			parameters[9].Value = model.service;
			parameters[10].Value = model.package;
			parameters[11].Value = model.fusion;
			parameters[12].Value = model.phoneState;
			parameters[13].Value = model.orderNature;
			parameters[14].Value = model.F_Id;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int Id)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_AutoCall_PhoneRelate ");
			strSql.Append(" where F_Id=@Id");
			SqlParameter[] parameters = {
					new SqlParameter("@Id", SqlDbType.Int,4)
			};
			parameters[0].Value = Id;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string Idlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_AutoCall_PhoneRelate ");
			strSql.Append(" where F_Id in (" + Idlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_AutoCall_PhoneRelate GetModel(int Id)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_Id,taskId,phone,createTime,createBy,callState,salesOffice,broadbandAccount,accessTime,channel,service,package,fusion,phoneState,orderNature ,address from T_AutoCall_PhoneRelate ");
			strSql.Append(" where F_Id=@Id");
			SqlParameter[] parameters = {
					new SqlParameter("@Id", SqlDbType.Int,4)
			};
			parameters[0].Value = Id;

			CallCenterApi.Model.T_AutoCall_PhoneRelate model=new CallCenterApi.Model.T_AutoCall_PhoneRelate();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_AutoCall_PhoneRelate DataRowToModel(DataRow row)
		{
			CallCenterApi.Model.T_AutoCall_PhoneRelate model=new CallCenterApi.Model.T_AutoCall_PhoneRelate();
			if (row != null)
			{
				if(row["F_Id"] !=null && row["F_Id"].ToString()!="")
				{
					model.F_Id = int.Parse(row["F_Id"].ToString());
				}
				if(row["taskId"]!=null && row["taskId"].ToString()!="")
				{
					model.taskId=int.Parse(row["taskId"].ToString());
				}
				if(row["phone"]!=null)
				{
					model.phone=row["phone"].ToString();
				}
				if(row["createTime"]!=null && row["createTime"].ToString()!="")
				{
					model.createTime=DateTime.Parse(row["createTime"].ToString());
				}
				if(row["createBy"]!=null)
				{
					model.createBy=row["createBy"].ToString();
				}
				if(row["callState"]!=null && row["callState"].ToString()!="")
				{
					model.callState=int.Parse(row["callState"].ToString());
				}
				if(row["salesOffice"]!=null)
				{
					model.salesOffice=row["salesOffice"].ToString();
				}
				if(row["broadbandAccount"]!=null)
				{
					model.broadbandAccount=row["broadbandAccount"].ToString();
				}
				if(row["accessTime"]!=null && row["accessTime"].ToString()!="")
				{
					model.accessTime=DateTime.Parse(row["accessTime"].ToString());
				}
				if(row["channel"]!=null)
				{
					model.channel=row["channel"].ToString();
				}
				if(row["service"]!=null)
				{
					model.service=row["service"].ToString();
				}
				if(row["package"]!=null)
				{
					model.package=row["package"].ToString();
				}
				if(row["fusion"]!=null)
				{
					model.fusion=row["fusion"].ToString();
				}
				if(row["phoneState"]!=null)
				{
					model.phoneState=row["phoneState"].ToString();
				}
				if(row["orderNature"]!=null)
				{
					model.orderNature=row["orderNature"].ToString();
				}
                if (row["address"] != null)
                {
                    model.address = row["address"].ToString();
                }

            }
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_Id,taskId,phone,createTime,createBy,callState,salesOffice,broadbandAccount,accessTime,channel,service,package,fusion,phoneState,orderNature,address ");
			strSql.Append(" FROM T_AutoCall_PhoneRelate ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_Id,taskId,phone,createTime,createBy,callState,salesOffice,broadbandAccount,accessTime,channel,service,package,fusion,phoneState,orderNature,address ");
			strSql.Append(" FROM T_AutoCall_PhoneRelate ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_AutoCall_PhoneRelate ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_Id desc");
			}
			strSql.Append(")AS Row, T.*  from T_AutoCall_PhoneRelate T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_AutoCall_PhoneRelate";
			parameters[1].Value = "Id";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

